Cubase 11 crashes in the beginning after logo display

upgraded from Cubase 10.5 to 11. It is being crashed immediately after opening of Cubase logo. unable to open even 10.5 or 8 which earlier used. Whether I have to install all the softwares given or only the Cubase application enough? My macbook (2012) OS : Sierra 10.12.6 . Pl suggest rectification. SOS Please…

Hi and welcome to the forum,

Cubase 11 is not officially compatible with macOS 10.13 High Sierra (neither macOS 10.12). The lowest compatible macOS version is macOS 10.14. Crash of Cubase in this unsupported setup is a known issue on this system. Here you can find the main thread about the crash.

Cubase 11.0.30 isn’t officially compatible with macOS 10.13 neither, but it seems, it works. Delete Cubase 11 from Applications folder. Install Cubase 11.0.30 from your Cubase 11.0.30 installer backup, or download the installer here, please.